# Uses of Enum Class
org.apache.lucene.document.InvertableType

Packages that use InvertableType
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of InvertableType in org.apache.lucene.document

  Methods in org.apache.lucene.document that return InvertableType
  Modifier and Type
  Method
  Description
  `InvertableType`
  Field.`invertableType()`
  `InvertableType`
  KeywordField.`invertableType()`
  `InvertableType`
  StringField.`invertableType()`
  `static InvertableType`
  InvertableType.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static InvertableType[]`
  InvertableType.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

- ## Uses of InvertableType in org.apache.lucene.index

  Methods in org.apache.lucene.index that return InvertableType
  Modifier and Type
  Method
  Description
  `InvertableType`
  IndexableField.`invertableType()`
  Describes how this field should be inverted.